
const dict = {
  orderStatus: [{ // 商品订单状态字典
    value: '已下单',
    key: 'not started'
  }, {
    value: '制作中',
    key: 'doing'
  }, {
    value: '已完成',
    key: 'finished'
  }, {
    value: '已取消',
    key: 'cancel'
  }],
  gymCard: [{ // 健身卡字典
    value: '次卡',
    key: 'once'
  }, {
    value: '月卡',
    key: 'month'
  }, {
    value: '季卡',
    key: 'quarter'
  }, {
    value: '年卡',
    key: 'year'
  }],
  consumptionType: [{ // 消费类型字典
    value: '系统用户',
    key: 'sys user'
  }, {
    value: '优惠券',
    key: 'coupon'
  }, {
    value: '积分',
    key: 'points'
  }, {
    value: '城币',
    key: 'cheng-coin'
  }],
  userType: [{ // 用户类型
    value: '销售',
    key: 'sales'
  }, {
    value: '主管',
    key: 'manager'
  }, {
    value: '用户',
    key: 'customer'
  }],
}

export default dict